Pets
Everything about your pets
Query parameters
limitinteger · max: 100Optional
Max items to return (100 default)
Responses
200
A paged array of pets
application/json
idinteger · int64RequiredExample:
1namestringRequiredExample:
FluffytagstringOptionalExample:
dogstatusstring · enumOptionalPossible values:
get/pets
curl -L https://petstore.example.com/v1/pets
200
A paged array of pets
[
{
"id": 1,
"name": "Fluffy",
"tag": "dog",
"status": "available"
}
]Body
idinteger · int64RequiredExample:
1namestringRequiredExample:
FluffytagstringOptionalExample:
dogstatusstring · enumOptionalPossible values:
Responses
201
Pet created
No content
post/pets
POST /v1/pets HTTP/1.1
Host: petstore.example.com
Content-Type: application/json
Accept: */*
Content-Length: 57
{
"id": 1,
"name": "Fluffy",
"tag": "dog",
"status": "available"
}201
Pet created
No content
This operation is deprecated and will be sunset on 2030-12-05.
Path parameters
petIdstringRequired
Responses
200
Pet response
application/json
idinteger · int64RequiredExample:
1namestringRequiredExample:
FluffytagstringOptionalExample:
dogstatusstring · enumOptionalPossible values:
get/pets/{petId}
GET /v1/pets/{petId} HTTP/1.1
Host: petstore.example.com
Accept: */*
200
Pet response
{
"id": 1,
"name": "Fluffy",
"tag": "dog",
"status": "available"
}Last updated